<template>
  <section class="d-md-flex" style="height: 100%">
    <ProcedureSidebar
      v-show="$vuetify.breakpoint.mdAndUp"
      title="Exclusión o retención bancaria"
      procedure="exclusion-o-retencion-bancaria"
    />
    <ProcedureHeadbar
      v-show="$vuetify.breakpoint.mdAndDown"
      class="d-md-none"
      title="Exclusión o retención bancaria"
      procedure="exclusion-o-retencion-bancaria"
    />
    <v-container fluid>
      <v-row>
        <v-col class="pa-0 ma-8">
          <p class="ma-0">
            <strong>Trámites/</strong>Exclusión o retención bancaria
          </p>
        </v-col>
      </v-row>
      <v-row>
        <v-col>
          <v-card color="white" width="100%" min-height="420px">
            <v-col>
              <v-form v-model="form.valid" @submit.prevent="submitForm">
                <v-container fluid>
                  <v-row>
                    <v-col>
                      <h2 class="font-weight-bold form-title mb-4">
                        Exclusión o retención bancaria
                      </h2>
                      <p class="font-lato form-subtitle font-weight-light mb-8">
                        Lorem, ipsum dolor sit amet consectetur adipisicing
                        elit. Magni recusandae deserunt, necessitatibus nesciunt
                        fuga assumenda fugit dolor. Distinctio, quia libero fuga
                        nesciunt id velit voluptas quisquam. Esse autem
                        molestiae tempore.
                      </p>
                      <p
                        style="background-color: #fff3cd; color: #856403"
                        class="pa-3 rounded-lg"
                      >
                        Para comenzar el trámite debes
                        <v-btn
                          plain
                          small
                          color="#856403"
                          class="
                            px-0
                            text-none text-body-1
                            font-weight-bold
                            text-decoration-underline
                          "
                          to="/login"
                          >Iniciar sesión</v-btn
                        >
                        o estar
                        <v-btn
                          plain
                          small
                          color="#856403"
                          class="
                            px-0
                            text-none text-body-1
                            font-weight-bold
                            text-decoration-underline
                          "
                          to="/register"
                          >Registrado</v-btn
                        >
                      </p>
                    </v-col>
                  </v-row>
                  <v-row>
                    <v-col cols="12" class="px-0 pb-1">
                      <h2 class="pa-0 font-poppins font-weight-bold d-blocks">
                        Contribuyente (persona física)
                      </h2>
                    </v-col>
                    <v-col cols="12" class="px-0 pt-0">
                      <v-divider></v-divider>
                    </v-col>
                  </v-row>

                  <v-row>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pr-md-4"
                    >
                      <p class="mb-2 font-weight-bold">
                        CUIT del contribuyente
                      </p>
                      <v-text-field
                        v-model="form.fields.n_cuit"
                        disabled
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-text-field>
                    </v-col>
                    <v-spacer></v-spacer>
                  </v-row>
                  <v-row>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pr-md-4"
                    >
                      <p class="mb-2 font-weight-bold">Nombres y Apellidos</p>
                      <v-text-field
                        v-model="form.fields.denominacion"
                        disabled
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-text-field>
                    </v-col>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pl-md-4"
                    >
                      <p class="mb-2 font-weight-bold">
                        Correo electrónico del contribuyente
                      </p>
                      <v-text-field
                        v-model="form.fields.email"
                        disabled
                        outlined
                        :rules="[form.rules.required, form.rules.email]"
                        class="align-end"
                      ></v-text-field>
                    </v-col>
                  </v-row>
                  <v-row>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pr-md-4"
                    >
                      <p class="mb-2 font-weight-bold">Tipo de Documento</p>
                      <v-select
                        v-model="form.fields.c_tipo_documento"
                        disabled
                        placeholder="Selecciona un tipo de Documento"
                        :items="form.tipo_documento_options"
                        item-text="label"
                        item-value="id"
                        outlined
                        class="align-end"
                      ></v-select>
                    </v-col>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pl-md-4"
                    >
                      <p class="mb-2 font-weight-bold">Número de documento</p>
                      <v-text-field
                        v-model="form.fields.n_documento"
                        disabled
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-text-field>
                    </v-col>
                  </v-row>
                  <v-row>
                    <v-col cols="12" class="px-0 pb-1">
                      <h2 class="pa-0 font-poppins font-weight-bold d-blocks">
                        Domicilio
                      </h2>
                    </v-col>
                    <v-col cols="12" class="px-0 pt-0">
                      <v-divider></v-divider>
                    </v-col>
                  </v-row>
                  <v-row>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pr-md-4"
                    >
                      <p class="mb-2 font-weight-bold">Provincia</p>
                      <v-select
                        v-model="form.fields.dom_c_provincia"
                        disabled
                        placeholder="Selecciona una Provincia"
                        :items="form.provinces_options"
                        item-text="descripcion"
                        item-value="codigo"
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-select>
                    </v-col>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pl-md-4"
                    >
                      <p class="mb-2 font-weight-bold">Departamento</p>
                      <v-select
                        v-model="form.fields.dom_c_departamento"
                        disabled
                        placeholder="Selecciona un Departamento"
                        :items="form.departments_options"
                        item-text="departamento"
                        item-value="codigo"
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-select>
                    </v-col>
                  </v-row>
                  <v-row>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pr-md-4"
                    >
                      <p class="mb-2 font-weight-bold">Localidad</p>
                      <v-select
                        v-model="form.fields.dom_c_localidad"
                        disabled
                        placeholder="Selecciona una Localidad"
                        :items="form.localities_options"
                        item-text="localidad"
                        item-value="codigo"
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-select>
                    </v-col>
                    <v-col
                      cols="12"
                      md="6"
                      class="d-flex flex-column pa-0 pl-md-4"
                    >
                      <p class="mb-2 font-weight-bold">Código Postal*</p>
                      <v-text-field
                        v-model="form.fields.dom_c_postal"
                        disabled
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-text-field>
                    </v-col>
                  </v-row>
                  <v-row>
                    <v-col
                      cols="12"
                      sm="9"
                      class="d-flex flex-column pa-0 pr-sm-4"
                    >
                      <p class="mb-2 font-weight-bold">Calle del domicilio*</p>
                      <v-text-field
                        v-model="form.fields.dom_calle"
                        disabled
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-text-field>
                    </v-col>
                    <v-col
                      cols="12"
                      sm="3"
                      class="d-flex flex-column pa-0 pl-sm-4"
                    >
                      <p class="mb-2 font-weight-bold">Altura de la calle</p>
                      <v-text-field
                        v-model="form.fields.dom_nro"
                        disabled
                        outlined
                        :rules="[form.rules.required]"
                        class="align-end"
                      ></v-text-field>
                    </v-col>
                  </v-row>

                  <v-row>
                    <v-col
                      cols="12"
                      sm="6"
                      class="d-flex flex-column pa-0 pr-sm-4 mb-3"
                    >
                      <v-checkbox
                        v-model="form.fields.conforma_dfe"
                        disabled
                        label="Aceptación de conformación del Domicilio Fiscal Electrónico"
                      ></v-checkbox>
                    </v-col>
                  </v-row>

                  <v-row justify="center">
                    <v-btn
                      disabled
                      type="submit"
                      width="160px"
                      height="32px"
                      small
                      color="#0275B4"
                      class="white--text mr-sm-4 text-none"
                      >Enviar</v-btn
                    >
                    <v-btn
                      disabled
                      width="160px"
                      height="32px"
                      small
                      color="#0275B4"
                      outlined
                      class="ml-sm-4 mr-sm-4 text-none"
                      >Guardar borrador</v-btn
                    ><v-btn
                      disabled
                      width="160px"
                      height="32px"
                      small
                      color="#0275B4"
                      outlined
                      class="ml-sm-4 text-none"
                      to="/procedures"
                      >Cancelar</v-btn
                    >
                  </v-row>
                </v-container>
              </v-form>
            </v-col>
          </v-card>
        </v-col>
      </v-row>
    </v-container>
  </section>
</template>

<script>
export default {
  data() {
    return {
      form: {
        valid: false,
        fields: {
          n_cuit: '',
          denominacion: '',
          c_tipo_documento: '',
          n_documento: '',
          dom_c_provincia: '',
          dom_c_departamento: '',
          dom_c_localidad: '',
          dom_c_postal: '',
          dom_calle: '',
          dom_nro: '',
          email: '',
          conforma_dfe: '',
          blockchain: '',
        },
        rules: {
          required: (value) => !!value || value === 0 || 'Campo requerido.',
          counter: (value) => value.length <= 20 || 'Max 20 characters',
          email: (value) => {
            const pattern =
              /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
            return pattern.test(value) || 'E-mail inválido.'
          },
        },
        tipo_documento_options: [
          { id: 8, label: 'CEDULA DE IDENTIDAD' },
          { id: 1, label: 'CEDULA DE IDENTIDAD DE PCIA BS.AS.' },
          { id: 2, label: 'CEDULA DE IDENTIDAD DE POLICIA FEDERAL' },
          { id: 0, label: 'CUIT' },
          { id: 13, label: 'CUIT/CUIL/CDI' },
          { id: 6, label: 'D.N.I.' },
          { id: 98, label: 'D.N.I. Duplicado' },
          { id: 4, label: 'LIBRETA CIVICA' },
          { id: 3, label: 'LIBRETA DE ENROLAMIENTO' },
          { id: 10, label: 'MATRICULA' },
          { id: 12, label: 'NO DECLARA' },
          { id: 7, label: 'NUMERO DE INSCRIPCION D.N.R.P' },
          { id: 99, label: 'OTROS' },
          { id: 5, label: 'PASAPORTE' },
          { id: 11, label: 'PASAPORTE EXTRANJERO' },
          { id: 9, label: 'REGISTRO NOTARIAL' },
        ],
        provinces_options: [],
        localities_options: [],
        departments_options: [],
      },
    }
  },
}
</script>

<style></style>
